Bug 1300352 - While deleting buildConfig available builds can be cloned
While deleting buildConfig available builds can be cloned
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Build (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Martin Nagy
Wenjing Zheng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 09:28 EST by Jakub Hadvig
Modified: 2016-07-26 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:13:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hadvig 2016-01-20 09:28:35 EST
Description of problem:
While deleting buildConfig, available builds can be cloned.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create an project with and launch a build.
2. Cancel or wait for the build to finish.
3. Edit the buildConfig in any project and add the 'openshift.io/build-config.paused=true' annotation.
4. Try to clone previous build.

Actual results:
The previous build can be cloned.

Expected results:
Previous build cant be cloned,

Additional info:
Comment 1 Martin Nagy 2016-01-21 12:12:21 EST
Upstream PR here: https://github.com/openshift/origin/pull/6765
Comment 2 Martin Nagy 2016-01-22 04:31:03 EST
PR was merged, moving to ON_QA
Comment 3 Dongbo Yan 2016-01-24 20:25:25 EST
Verified this bug
Comment 4 Dongbo Yan 2016-01-24 20:55:04 EST
test env: devenv-rhel7_3208 (ami-aa6c4dc0)

Note You need to log in before you can comment on or make changes to this bug.